<template>
  <div class="launchpad-app" :class="name">
    <div class="control has-icons-right">
      <input class="input  is-rounded is-primary" type="text" placeholder="Search" v-model="query" autofocus >
      <span class="icon is-small is-right">
        <i class="basic basic-search"></i>
      </span>
    </div>
    <div class="apps columns  is-gapless is-multiline is-mobile">
      <div class="column is-2 app" v-for="app in filterApps" :key="app.name">
        <p class="has-text-centered">
          <i class="basic " :class="app.icon" aria-hidden="true"></i>
        </p>
        <p class=" has-text-centered">{{app.name}}</p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'launchpadApp',
  props: {
    name: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      query: '',
      gapps: [
        { 'name': 'twitter', 'icon': 'basic-layers' },
        { 'name': 'spotify', 'icon': 'basic-layers' },
        { 'name': 'tumblr', 'icon': 'basic-layers' },
        { 'name': 'skype', 'icon': 'basic-layers' },
        { 'name': 'instagram', 'icon': 'basic-layers' },
        { 'name': 'linkedin', 'icon': 'basic-layers' },
        { 'name': 'amazon', 'icon': 'basic-layers' },
        { 'name': 'apple', 'icon': 'basic-layers' },
        { 'name': 'snapchat', 'icon': 'basic-layers' },
        { 'name': 'slack', 'icon': 'basic-layers' },
      ],
      links: [],
      apps: []
    }
  },
  computed: {
    filterApps: function() {
      var query = this.query;
      var gapps = this.gapps;
      return gapps.filter( el => {
        return el.name.toLowerCase().indexOf(query.toLowerCase()) > -1;
      });
    }
  }
}
</script>

<style scoped lang="scss">
.launchpad-app {
  height: 25rem;
  padding: 2rem 0;
  &>.control {
    max-width: 20rem;
    margin: 0 auto;
  }
  &>.apps {
    margin-top: 2rem;
    &>.app {
      padding-top: 1rem!important;
      padding-bottom: 1rem!important;
      .icon{
        display: inline;
      }
    }
  }
}
</style>
